using RenovationWorkDataModels.Enums;
using RenovationWorkDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RenovationWorkContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        public int ClientId { get; set; }
        public int? ImplementerId { get; set; }
        public int RepairId { get; set; }
        [DisplayName("Номер")]
        public int Id { get; set; }
        [DisplayName("Ремонт")]
        public string RepairName { get; set; } = string.Empty;
        [DisplayName("Исполнитель")]
        public string ImplementerFIO { get; set; } = string.Empty;

        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
        
        [DisplayName("Фамилия клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        
    }
}
